Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/builder.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -95,5 +95,5 @@
   switch (choice) {
     default:
-      Log() << Verbose(0) << "Not a valid choice." << endl;
+      eLog() << Verbose(2) << "Not a valid choice." << endl;
       break;
       case 'a': // absolute coordinates of atom
@@ -109,5 +109,5 @@
         valid = true;
         do {
-          if (!valid) Log() << Verbose(0) << "Resulting position out of cell." << endl;
+          if (!valid) eLog() << Verbose(2) << "Resulting position out of cell." << endl;
           Log() << Verbose(0) << "Enter reference coordinates." << endl;
           x.AskPosition(mol->cell_size, true);
@@ -125,5 +125,5 @@
         valid = true;
         do {
-          if (!valid) Log() << Verbose(0) << "Resulting position out of cell." << endl;
+          if (!valid) eLog() << Verbose(2) << "Resulting position out of cell." << endl;
           second = mol->AskAtom("Enter atom number: ");
           Log() << Verbose(0) << "Enter relative coordinates." << endl;
@@ -142,7 +142,5 @@
         do {
           if (!valid) {
-            Log() << Verbose(0) << "Resulting coordinates out of cell - ";
-            first->x.Output();
-            Log() << Verbose(0) << endl;
+            eLog() << Verbose(2) << "Resulting coordinates out of cell - " << first->x << endl;
           }
           Log() << Verbose(0) << "First, we need two atoms, the first atom is the central, while the second is the outer one." << endl;
@@ -671,5 +669,5 @@
   Log() << Verbose(0) << "===============================================" << endl;
   if (molecules->NumberOfActiveMolecules() > 1)
-    Log() << Verbose(0) << "WARNING: There is more than one molecule active! Atoms will be added to each." << endl;
+    eLog() << Verbose(2) << "There is more than one molecule active! Atoms will be added to each." << endl;
   Log() << Verbose(0) << "INPUT: ";
   cin >> choice;
@@ -794,5 +792,5 @@
   Log() << Verbose(0) << "===============================================" << endl;
   if (molecules->NumberOfActiveMolecules() > 1)
-    Log() << Verbose(0) << "WARNING: There is more than one molecule active! Atoms will be added to each." << endl;
+    eLog() << Verbose(2) << "There is more than one molecule active! Atoms will be added to each." << endl;
   Log() << Verbose(0) << "INPUT: ";
   cin >> choice;
@@ -827,5 +825,5 @@
           }
           if (count != j)
-            Log() << Verbose(0) << "ERROR: AtomCount " << count << " is not equal to number of atoms in molecule " << j << "!" << endl;
+            eLog() << Verbose(1) << "AtomCount " << count << " is not equal to number of atoms in molecule " << j << "!" << endl;
           x.Zero();
           y.Zero();
@@ -1172,4 +1170,5 @@
   else {
     eLog() << Verbose(0) << "I don't have anything to test on ... ";
+    performCriticalExit();
     return;
   }
@@ -1248,7 +1247,8 @@
   ofstream output;
   molecule *mol = new molecule(periode);
+  mol->SetNameFromFilename(ConfigFileName);
 
   if (!strcmp(configuration->configpath, configuration->GetDefaultPath())) {
-    eLog() << Verbose(0) << "WARNING: config is found under different path then stated in config file::defaultpath!" << endl;
+    eLog() << Verbose(2) << "config is found under different path then stated in config file::defaultpath!" << endl;
   }
 
@@ -1354,5 +1354,5 @@
 
   if (!strcmp(configuration->configpath, configuration->GetDefaultPath())) {
-    eLog() << Verbose(0) << "WARNING: config is found under different path then stated in config file::defaultpath!" << endl;
+    eLog() << Verbose(2) << "config is found under different path then stated in config file::defaultpath!" << endl;
   }
 
@@ -1386,5 +1386,6 @@
   int argptr;
   molecule *mol = NULL;
-  string BondGraphFileName("");
+  string BondGraphFileName("\n");
+  int verbosity = 0;
   strncpy(configuration.databasepath, LocalPath, MAXSTRINGSIZE-1);
 
@@ -1432,9 +1433,16 @@
             Log() << Verbose(0) << "\t-T x1 x2 x3\tTranslate periodically all atoms by this vector (x1,x2,x3)." << endl;
             Log() << Verbose(0) << "\t-u rho\tsuspend in water solution and output necessary cell lengths, average density rho and repetition." << endl;
-            Log() << Verbose(0) << "\t-v/-V\t\tGives version information." << endl;
+            Log() << Verbose(0) << "\t-v\t\tsets verbosity (more is more)." << endl;
+            Log() << Verbose(0) << "\t-V\t\tGives version information." << endl;
             Log() << Verbose(0) << "Note: config files must not begin with '-' !" << endl;
             return (1);
             break;
           case 'v':
+            while (argv[argptr-1][verbosity+1] == 'v') {
+              verbosity++;
+            }
+            setVerbosity(verbosity);
+            Log() << Verbose(0) << "Setting verbosity to " << verbosity << "." << endl;
+            break;
           case 'V':
             Log() << Verbose(0) << argv[0] << " " << VERSIONSTRING << endl;
@@ -1445,4 +1453,5 @@
             if ((argptr >= argc) || (argv[argptr][0] == '-')) {
               eLog() << Verbose(0) << "Not enough or invalid arguments for specifying element db: -e <db file>" << endl;
+              performCriticalExit();
             } else {
               Log() << Verbose(0) << "Using " << argv[argptr] << " as elements database." << endl;
@@ -1454,4 +1463,5 @@
             if ((argptr >= argc) || (argv[argptr][0] == '-')) {
               eLog() << Verbose(0) << "Not enough or invalid arguments for specifying bond length table: -g <table file>" << endl;
+              performCriticalExit();
             } else {
               BondGraphFileName = argv[argptr];
@@ -1530,5 +1540,15 @@
        mol = new molecule(periode);
        mol->ActiveFlag = true;
+       if (ConfigFileName != NULL)
+         mol->SetNameFromFilename(ConfigFileName);
        molecules->insert(mol);
+     }
+     if (configuration.BG == NULL) {
+       configuration.BG = new BondGraph(configuration.GetIsAngstroem());
+       if ((BondGraphFileName.empty()) && (configuration.BG->LoadBondLengthTable(BondGraphFileName))) {
+         Log() << Verbose(0) << "Bond length table loaded successfully." << endl;
+       } else {
+         eLog() << Verbose(1) << "Bond length table loading failed." << endl;
+       }
      }
 
@@ -1546,4 +1566,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough arguments for parsing: -p <xyz file>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1553,4 +1574,14 @@
                 else {
                   Log() << Verbose(2) << "File found and parsed." << endl;
+                  mol->SetNameFromFilename(argv[argptr]);
+                  molecules->ListOfMolecules.remove(mol);
+                  molecules->DissectMoleculeIntoConnectedSubgraphs(mol,&configuration);
+                  if (molecules->ListOfMolecules.size() != 0) {
+                    for (MoleculeList::iterator ListRunner = molecules->ListOfMolecules.begin(); ListRunner != molecules->ListOfMolecules.end(); ListRunner++)
+                      if ((*ListRunner)->ActiveFlag) {
+                        mol = *ListRunner;
+                        break;
+                      }
+                  }
                   configPresent = present;
                 }
@@ -1562,4 +1593,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments for adding atom: -a <element> <x> <y> <z>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1590,4 +1622,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for setting MPQC basis: -B <basis name>" << endl;
+                performCriticalExit();
               } else {
                 configuration.basis = argv[argptr];
@@ -1634,4 +1667,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for pair correlation analysis: -C <Z> <output> <bin output>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = false;
@@ -1680,4 +1714,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for changing element: -E <atom nr.> <element>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1693,4 +1728,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for filling box with water: -F <dist_x> <dist_y> <dist_z> <randatom> <randmol> <DoRotate>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1731,4 +1767,5 @@
                 ExitFlag =255;
                 eLog() << Verbose(0) << "Missing source file for bonds in molecule: -A <bond sourcefile>" << endl;
+                performCriticalExit();
               } else {
                 Log() << Verbose(0) << "Parsing bonds from " << argv[argptr] << "." << endl;
@@ -1744,14 +1781,26 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for non-convex envelope: -o <radius> <tecplot output file>" << endl;
+                performCriticalExit();
               } else {
                 class Tesselation *T = NULL;
                 const LinkedCell *LCList = NULL;
-                string filename(argv[argptr+1]);
-                filename.append(".csv");
-                Log() << Verbose(0) << "Evaluating non-convex envelope.";
+                molecule * Boundary = NULL;
+                //string filename(argv[argptr+1]);
+                //filename.append(".csv");
+                Log() << Verbose(0) << "Evaluating non-convex envelope of biggest molecule.";
                 Log() << Verbose(1) << "Using rolling ball of radius " << atof(argv[argptr]) << " and storing tecplot data in " << argv[argptr+1] << "." << endl;
+                // find biggest molecule
+                int counter  = 0;
+                for (MoleculeList::iterator BigFinder = molecules->ListOfMolecules.begin(); BigFinder != molecules->ListOfMolecules.end(); BigFinder++) {
+                  (*BigFinder)->CountAtoms();
+                  if ((Boundary == NULL) || (Boundary->AtomCount < (*BigFinder)->AtomCount)) {
+                    Boundary = *BigFinder;
+                  }
+                  counter++;
+                }
+                Log() << Verbose(1) << "Biggest molecule has " << Boundary->AtomCount << " atoms." << endl;
                 start = clock();
-                LCList = new LinkedCell(mol, atof(argv[argptr])*2.);
-                FindNonConvexBorder(mol, T, LCList, atof(argv[argptr]), argv[argptr+1]);
+                LCList = new LinkedCell(Boundary, atof(argv[argptr])*2.);
+                FindNonConvexBorder(Boundary, T, LCList, atof(argv[argptr]), argv[argptr+1]);
                 //FindDistributionOfEllipsoids(T, &LCList, N, number, filename.c_str());
                 end = clock();
@@ -1766,4 +1815,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for storing tempature: -S <temperature file>" << endl;
+                performCriticalExit();
               } else {
                 Log() << Verbose(1) << "Storing temperatures in " << argv[argptr] << "." << endl;
@@ -1783,4 +1833,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for storing tempature: -L <step0> <step1> <prefix> <identity mapping?>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1800,4 +1851,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for parsing and integrating forces: -P <forces file>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1815,4 +1867,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for removing atoms: -R <id> <distance>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1830,5 +1883,5 @@
                   }
                 } else {
-                  eLog() << Verbose(0) << "Removal failed due to missing atoms on molecule or wrong id." << endl;
+                  eLog() << Verbose(1) << "Removal failed due to missing atoms on molecule or wrong id." << endl;
                 }
                 argptr+=2;
@@ -1840,4 +1893,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for translation: -t <x> <y> <z>" << endl;
+                performCriticalExit();
               } else {
                 if (ExitFlag == 0) ExitFlag = 1;
@@ -1855,4 +1909,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for periodic translation: -T <x> <y> <z>" << endl;
+                performCriticalExit();
               } else {
                 if (ExitFlag == 0) ExitFlag = 1;
@@ -1870,4 +1925,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for scaling: -s <factor_x> [factor_y] [factor_z]" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1893,4 +1949,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for centering in box: -b <xx> <xy> <xz> <yy> <yz> <zz>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1910,4 +1967,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for bounding in box: -B <xx> <xy> <xz> <yy> <yz> <zz>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1927,4 +1985,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for centering with boundary: -c <boundary_x> <boundary_y> <boundary_z>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1960,4 +2019,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for removing atoms: -r <id>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -1973,4 +2033,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments for fragmentation: -f <max. bond distance> <bond order>" << endl;
+                performCriticalExit();
               } else {
                 Log() << Verbose(0) << "Fragmenting molecule with bond distance " << argv[argptr] << " angstroem, order of " << argv[argptr+1] << "." << endl;
@@ -1991,5 +2052,5 @@
               j = atoi(argv[argptr++]);
               if ((j<0) || (j>1)) {
-                eLog() << Verbose(1) << "ERROR: Argument of '-m' should be either 0 for no-rotate or 1 for rotate." << endl;
+                eLog() << Verbose(1) << "Argument of '-m' should be either 0 for no-rotate or 1 for rotate." << endl;
                 j = 0;
               }
@@ -2006,4 +2067,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for convex envelope: -o <convex output file> <non-convex output file>" << endl;
+                performCriticalExit();
               } else {
                 class Tesselation *TesselStruct = NULL;
@@ -2030,5 +2092,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for suspension with specified volume: -U <volume> <density>" << endl;
-                volume = -1; // for case 'u': don't print error again
+                performCriticalExit();
               } else {
                 volume = atof(argv[argptr++]);
@@ -2041,4 +2103,5 @@
                   ExitFlag = 255;
                   eLog() << Verbose(0) << "Not enough arguments given for suspension: -u <density>" << endl;
+                  performCriticalExit();
               } else {
                 double density;
@@ -2047,5 +2110,5 @@
                 density = atof(argv[argptr++]);
                 if (density < 1.0) {
-                  eLog() << Verbose(0) << "Density must be greater than 1.0g/cm^3 !" << endl;
+                  eLog() << Verbose(1) << "Density must be greater than 1.0g/cm^3 !" << endl;
                   density = 1.3;
                 }
@@ -2053,5 +2116,5 @@
 //                  repetition[i] = atoi(argv[argptr++]);
 //                  if (repetition[i] < 1)
-//                    eLog() << Verbose(0) << "ERROR: repetition value must be greater 1!" << endl;
+//                    eLog() << Verbose(1) << "repetition value must be greater 1!" << endl;
 //                  repetition[i] = 1;
 //                }
@@ -2064,4 +2127,5 @@
                 ExitFlag = 255;
                 eLog() << Verbose(0) << "Not enough or invalid arguments given for repeating cells: -d <repeat_x> <repeat_y> <repeat_z>" << endl;
+                performCriticalExit();
               } else {
                 SaveFlag = true;
@@ -2072,5 +2136,5 @@
                   Vector ** vectors;
                   if (faktor < 1) {
-                    eLog() << Verbose(0) << "ERROR: Repetition faktor mus be greater than 1!" << endl;
+                    eLog() << Verbose(1) << "Repetition factor mus be greater than 1!" << endl;
                     faktor = 1;
                   }
@@ -2089,5 +2153,5 @@
                     }
                     if (count != j)
-                      Log() << Verbose(0) << "ERROR: AtomCount " << count << " is not equal to number of atoms in molecule " << j << "!" << endl;
+                      eLog() << Verbose(1) << "AtomCount " << count << " is not equal to number of atoms in molecule " << j << "!" << endl;
                     x.Zero();
                     y.Zero();
@@ -2154,5 +2218,5 @@
   int j;
 
-  setVerbosity(2);
+  setVerbosity(0);
 
   // =========================== PARSE COMMAND LINE OPTIONS ====================================
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/config.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -72,5 +72,5 @@
   file= new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(0) << "ERROR: config file " << filename << " missing!" << endl;
+    eLog() << Verbose(1) << "config file " << filename << " missing!" << endl;
     return;
   }
@@ -87,5 +87,5 @@
   // allocate buffer's 1st dimension
   if (buffer != NULL) {
-    eLog() << Verbose(0) << "ERROR: FileBuffer->buffer is not NULL!" << endl;
+    eLog() << Verbose(1) << "FileBuffer->buffer is not NULL!" << endl;
     return;
   } else
@@ -143,4 +143,5 @@
   if (LineMapping == NULL) {
     eLog() << Verbose(0) << "map pointer is NULL: " << LineMapping << endl;
+    performCriticalExit();
     return;
   }
@@ -156,6 +157,8 @@
     if (CurrentLine+nr < NoLines)
       LineMapping[CurrentLine+(nr++)] = runner->second;
-    else
+    else {
       eLog() << Verbose(0) << "config::MapIonTypesInBuffer - NoAtoms is wrong: We are past the end of the file!" << endl;
+      performCriticalExit();
+    }
   }
 }
@@ -653,5 +656,5 @@
 {
   if (FileBuffer != NULL) {
-    eLog() << Verbose(1) << "WARNING: deleting present FileBuffer in PrepareFileBuffer()." << endl;
+    eLog() << Verbose(2) << "deleting present FileBuffer in PrepareFileBuffer()." << endl;
     delete(FileBuffer);
   }
@@ -686,4 +689,5 @@
   if (MaxTypes == 0) {
     eLog() << Verbose(0) << "There are no atoms according to MaxTypes in this config file." << endl;
+    performCriticalExit();
   } else {
     // prescan number of ions per type
@@ -704,4 +708,5 @@
     if (!ParseForParameter(verbose,FileBuffer, (const char*)name, 1, 1, 1, int_type, &value[0], 1, critical)) {
       eLog() << Verbose(0) << "There are no atoms in the config file!" << endl;
+      performCriticalExit();
       return;
     }
@@ -847,5 +852,5 @@
   ifstream *file = new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(0) << "ERROR: config file " << filename << " missing!" << endl;
+    eLog() << Verbose(1) << "config file " << filename << " missing!" << endl;
     return;
   }
@@ -1051,13 +1056,16 @@
 
   // 2. parse the bond graph file if given
-  BG = new BondGraph(IsAngstroem);
-  if (BG->LoadBondLengthTable(BondGraphFileName)) {
-    Log() << Verbose(0) << "Bond length table loaded successfully." << endl;
-  } else {
-    Log() << Verbose(0) << "Bond length table loading failed." << endl;
+  if (BG == NULL) {
+    BG = new BondGraph(IsAngstroem);
+    if (BG->LoadBondLengthTable(BondGraphFileName)) {
+      Log() << Verbose(0) << "Bond length table loaded successfully." << endl;
+    } else {
+      eLog() << Verbose(1) << "Bond length table loading failed." << endl;
+    }
   }
 
   // 3. parse the molecule in
   LoadMolecule(mol, FileBuffer, periode, FastParsing);
+  mol->SetNameFromFilename(filename);
   mol->ActiveFlag = true;
 
@@ -1080,5 +1088,5 @@
   ifstream *file = new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(0) << "ERROR: config file " << filename << " missing!" << endl;
+    eLog() << Verbose(1) << "config file " << filename << " missing!" << endl;
     return;
   }
Index: src/ellipsoid.cpp
===================================================================
--- src/ellipsoid.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/ellipsoid.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -241,5 +241,5 @@
     x = new Vector[PointsToPick];
   } else {
-    eLog() << Verbose(2) << "WARNING: Given pointer to vector array seems already allocated." << endl;
+    eLog() << Verbose(2) << "Given pointer to vector array seems already allocated." << endl;
   }
 
@@ -341,5 +341,5 @@
     x = new Vector[PointsToPick];
   } else {
-    eLog() << Verbose(2) << "WARNING: Given pointer to vector array seems already allocated." << endl;
+    eLog() << Verbose(2) << "Given pointer to vector array seems already allocated." << endl;
   }
 
Index: src/errorlogger.cpp
===================================================================
--- src/errorlogger.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/errorlogger.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -82,18 +82,18 @@
   l.nix->clear();
   if (v.DoOutput(verbosityLevel)) {
-    v.print(cout);
     switch(v.Verbosity) {
       case 0:
-        cout << "CRITICAL: ";
+        cerr << "CRITICAL: ";
         break;
       case 1:
-        cout << "ERROR: ";
+        cerr << "ERROR: ";
         break;
       case 2:
-        cout << "WARNING: ";
+        cerr << "WARNING: ";
         break;
       default:
         break;
     }
+    v.print(cerr);
     return cerr;
   } else
@@ -105,18 +105,18 @@
   l->nix->clear();
   if (v.DoOutput(verbosityLevel)) {
-    v.print(cout);
     switch(v.Verbosity) {
       case 0:
-        cout << "CRITICAL: ";
+        cerr << "CRITICAL: ";
         break;
       case 1:
-        cout << "ERROR: ";
+        cerr << "ERROR: ";
         break;
       case 2:
-        cout << "WARNING: ";
+        cerr << "WARNING: ";
         break;
       default:
         break;
     }
+    v.print(cerr);
     return cerr;
   } else
Index: src/helpers.hpp
===================================================================
--- src/helpers.hpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/helpers.hpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -111,4 +111,5 @@
   if (LookupTable == NULL) {
     eLog() << Verbose(0) << "LookupTable memory allocation failed!" << endl;
+    performCriticalExit();
     status = false;
   } else {
Index: src/linkedcell.cpp
===================================================================
--- src/linkedcell.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/linkedcell.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -47,5 +47,5 @@
   Log() << Verbose(1) << "Begin of LinkedCell" << endl;
   if (set->IsEmpty()) {
-    eLog() << Verbose(0) << "ERROR: set contains no linked cell nodes!" << endl;
+    eLog() << Verbose(1) << "set contains no linked cell nodes!" << endl;
     return;
   }
@@ -79,5 +79,5 @@
   Log() << Verbose(2) << "Allocating cells ... ";
   if (LC != NULL) {
-    Log() << Verbose(1) << "ERROR: Linked Cell list is already allocated, I do nothing." << endl;
+    eLog() << Verbose(1) << "Linked Cell list is already allocated, I do nothing." << endl;
     return;
   }
@@ -122,5 +122,5 @@
   Log() << Verbose(1) << "Begin of LinkedCell" << endl;
   if (set->empty()) {
-    eLog() << Verbose(0) << "ERROR: set contains no linked cell nodes!" << endl;
+    eLog() << Verbose(1) << "set contains no linked cell nodes!" << endl;
     return;
   }
@@ -151,5 +151,5 @@
   Log() << Verbose(2) << "Allocating cells ... ";
   if (LC != NULL) {
-    Log() << Verbose(1) << "ERROR: Linked Cell list is already allocated, I do nothing." << endl;
+    eLog() << Verbose(1) << "Linked Cell list is already allocated, I do nothing." << endl;
     return;
   }
@@ -199,5 +199,5 @@
     status = status && ((n[i] >=0) && (n[i] < N[i]));
   if (!status)
-  eLog() << Verbose(0) << "ERROR: indices are out of bounds!" << endl;
+  eLog() << Verbose(1) << "indices are out of bounds!" << endl;
   return status;
 };
@@ -260,5 +260,5 @@
     return status;
   } else {
-    eLog() << Verbose(1) << "ERROR: Node at " << *Walker << " is out of bounds." << endl;
+    eLog() << Verbose(1) << "Node at " << *Walker << " is out of bounds." << endl;
     return false;
   }
Index: src/memoryusageobserver.cpp
===================================================================
--- src/memoryusageobserver.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/memoryusageobserver.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -88,5 +88,5 @@
 
   if (current == memoryUsers.end()) {
-    Log() << Verbose(0) << "WARNING: There is non-tracked memory to be freed. Pointer "
+    eLog() << Verbose(2) << "There is non-tracked memory to be freed. Pointer "
       << pointer << " is not registered by MemoryUsageObserver: ";
     if (msg != NULL)
Index: src/molecule.cpp
===================================================================
--- src/molecule.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/molecule.cpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -192,5 +192,5 @@
   BondRescale = TopOrigin->type->HBondDistance[TopBond->BondDegree-1];
   if (BondRescale == -1) {
-    eLog() << Verbose(3) << "ERROR: There is no typical hydrogen bond distance in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl;
+    eLog() << Verbose(1) << "There is no typical hydrogen bond distance in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl;
     return false;
     BondRescale = bondlength;
@@ -235,5 +235,5 @@
             SecondOtherAtom = (*Runner)->GetOtherAtom(TopOrigin);
           } else {
-            Log() << Verbose(3) << "WARNING: Detected more than four bonds for atom " << TopOrigin->Name;
+            eLog() << Verbose(2) << "Detected more than four bonds for atom " << TopOrigin->Name;
           }
         }
@@ -272,5 +272,5 @@
       bondangle = TopOrigin->type->HBondAngle[1];
       if (bondangle == -1) {
-        Log() << Verbose(3) << "ERROR: There is no typical hydrogen bond angle in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl;
+        eLog() << Verbose(1) << "There is no typical hydrogen bond angle in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl;
         return false;
         bondangle = 0;
@@ -394,5 +394,5 @@
       break;
     default:
-      eLog() << Verbose(0) << "ERROR: BondDegree does not state single, double or triple bond!" << endl;
+      eLog() << Verbose(1) << "BondDegree does not state single, double or triple bond!" << endl;
       AllWentWell = false;
       break;
@@ -445,5 +445,5 @@
     Walker->type = elemente->FindElement(shorthand);
     if (Walker->type == NULL) {
-      eLog() << Verbose(0) << "Could not parse the element at line: '" << line << "', setting to H.";
+      eLog() << Verbose(1) << "Could not parse the element at line: '" << line << "', setting to H.";
       Walker->type = elemente->FindElement(1);
     }
@@ -541,5 +541,5 @@
     add(Binder, last);
   } else {
-    eLog() << Verbose(1) << "ERROR: Could not add bond between " << atom1->Name << " and " << atom2->Name << " as one or both are not present in the molecule." << endl;
+    eLog() << Verbose(1) << "Could not add bond between " << atom1->Name << " and " << atom2->Name << " as one or both are not present in the molecule." << endl;
   }
   return Binder;
@@ -619,5 +619,5 @@
     AtomCount--;
   } else
-    eLog() << Verbose(0) << "ERROR: Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl;
+    eLog() << Verbose(1) << "Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl;
   if (ElementsInMolecule[pointer->type->Z] == 0)  // was last atom of this element?
     ElementCount--;
@@ -637,5 +637,5 @@
     ElementsInMolecule[pointer->type->Z]--; // decrease number of atom of this element
   else
-    eLog() << Verbose(0) << "ERROR: Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl;
+    eLog() << Verbose(1) << "Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl;
   if (ElementsInMolecule[pointer->type->Z] == 0)  // was last atom of this element?
     ElementCount--;
Index: src/molecule.hpp
===================================================================
--- src/molecule.hpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/molecule.hpp	(revision ebbd3d3e47035ead60a750b80c7f05742071fd11)
@@ -106,4 +106,5 @@
 
   // re-definition of virtual functions from PointCloud
+  const char * const GetName() const;
   Vector *GetCenter() const ;
   TesselPoint *GetPoint() const ;
